#include "PointCollection.h"

PointCollection::PointCollection(const std::vector<Point> points)
    : mPoints(points)
{

}

void PointCollection::apply(const Transform& transform)
{
    for (auto& point : mPoints)
    {
        point.apply(transform);
    }
}